Package com.io7m.cardant.model

# Enum Class CANameMatchType.Any

java.lang.Object
java.lang.Enum<CANameMatchType.Any>
com.io7m.cardant.model.CANameMatchType.Any

All Implemented Interfaces:
  `CANameMatchType`, `Serializable`, `Comparable<CANameMatchType.Any>`, `Constable`

Enclosing interface:
  `CANameMatchType`

public static enum CANameMatchType.Any extends Enum<CANameMatchType.Any> implements CANameMatchType
Match any object name.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.model.CANameMatchType

  `CANameMatchType.Any, CANameMatchType.Exact, CANameMatchType.Search`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY_NAME`
  Match any object name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CANameMatchType.Any`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CANameMatchType.Any[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANY_NAME

    public static final CANameMatchType.Any ANY_NAME
    Match any object name.

- ## Method Details

  - ### values

    public static CANameMatchType.Any[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CANameMatchType.Any valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null